#!/usr/bin/perl

use Getopt::Std;

if ($#ARGV < 0) { print "\n\n Usage: make-kern-cpt.pl maximum-scale \n\n"; exit;}
$max = $ARGV[0];  

open(in,"etc/cpt.example");  @in = <in>; close(in);
open(out,">etc/test.cpt");	

$min = $max*(-1);
$step = $max/10;
	
for($i = 1; $i<=20; $i++){
          
	@tp = split/\s+/,$in[$i-1];
	$v1 = $min + ($i-1)*$step;
	$v2 = $min + $i*$step;
	$v3 = $min + ($i+1)*$step;
	print out "$v1 $tp[1]  $tp[2]  $tp[3]   $v2 $tp[5]  $tp[6]  $tp[7] \n"; 
}
	
	   print out "$in[20]"; 
	   print out "$in[21]";
	   print out "$in[22]";


	   close(out);
	   
	   
